﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.Windows.Chart;

namespace MultipleAxesOldchart
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }
    }
    public class model
    {
        public string Country { get; set; }
        public double Count { get; set; }
    }
    public class viewmodel
    {
        public viewmodel()
        {
            this.Data = new List<model>();
            Data.Add(new model() { Country = "Others", Count = 58 });
            Data.Add(new model() { Country = "Uruguay", Count = 90 });
            Data.Add(new model() { Country = "Argentina", Count = 77 });
            Data.Add(new model() { Country = "United States", Count = 73 });
            Data.Add(new model() { Country = "Germany", Count = 80 });
            Data.Add(new model() { Country = "Netherlands", Count = 71 });
        }

        public IList<model> Data
        {
            get;
            set;
        }
    }
    public class Labelconvertor : IValueConverter
    {
        private viewmodel view;
        private int i = 0;
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            ChartAdornment pieAdornment = value as ChartAdornment;
            view=new viewmodel();
            string data= view.Data[i].Country.ToString() + " : " + view.Data[i].Count.ToString();
            i++;
            return data;
        }
        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }

 
}

